% Funzione che converte i dati in mA della cella di pressione in dati di 
% forza mediante i valori di calibrazione.
% Il risultato è la matrico DatiPressure

function DatiPressure = conv_grezziPL(Pressure,DCalPLTot,NodoPressureLink,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'conv_grezziPL function started';
fprintf(fileID,fmt,text);

[rA,cA] = size(Pressure);
DatiPressure = zeros(rA,cA);
for ii = 1:cA
    if strcmp(NodoPressureLink(ii,3),'4-20 mA')
        %% Conversione da mA a kPa
        % Spacchetto i parametri di calibrazione
        a = DCalPLTot(ii,1);
        b = DCalPLTot(ii,2);
        c = DCalPLTot(ii,3);
        DatiPressure(:,ii) = a*(Pressure(:,ii).^2)+b*Pressure(:,ii)+c; % conversione
    elseif strcmp(NodoPressureLink(ii,3),'mV/V')
        %% Conversione da mV/V a kPa
        % Spacchetto i parametri di calibrazione
        a = DCalPLTot(ii,1);
        DatiPressure(:,ii) = a*Pressure(:,ii); % conversione
    end
end

text = 'Raw Data of Pressure Link converted into physycal units correctly. conv_grezziPL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end